package pricing

import (
	"time"

	"cloud.o-forge.io/core/oc-lib/tools"
)

type PricedItemITF interface {
	GetID() string
	GetType() tools.DataType
	IsPurchased() bool
	GetCreatorID() string
	GetLocationStart() *time.Time
	SetLocationStart(start time.Time)
	SetLocationEnd(end time.Time)
	GetLocationEnd() *time.Time
	GetExplicitDurationInS() float64
	GetPrice() (float64, error)
}
